Redmine - Defect #13311

In repository view, git commits are ordered by date, not by commit orders

2013-02-28 06:50 - Ji Oh Yoo

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 222
Description

One of my colleges had error in his OS time settings, so his commits had future timestamp than other commits.

In repository, the graph and the order of commits is the following:

# Date

1 491af3ic0 (=) 2013-02-28 14:18
! 12604714 . 2013-02-28 11:28
1 fef55f16 2013-02-28 05:16
! d0748b7b 2013-02-28 05:13
4elb25b7 2013-02-27 22:17

7450a6c7 2013-02-27 20:39

\ 35edbbb5s 2013-02-27 20:38
c35ac4dl 2013-02-27 18:19

s ebbd4ff3 2013-02-27 18:06
6baibbfb 2013-02-27 16:41

! 607d5d4f 2013-02-27 16:21
Steve Jinhwan Choi's 2 commits are affected, and for example,
his commit fef55f16 must be a parent the commit 607d5d4f.

If I click the revision, then the revision page then shows the correct information:

Revision fef55fl6

D fef55f1652facbffd9e912e085ce3£9c409a2b07
Parent d0748b7b, bc93c2d4
Child 607d5d4f

My Redmine related settings:

Ruby version 1.9.3 (x86_64-1inux)
RubyGems version 1.8.24

Rack version 1.4

Rails version 3.2.11

Environment production

Database adapter mysql2

git version 1.7.11.3

Related issues:

Is duplicate of Redmine - Defect #5357: Git: SCM revisions ordered by datefti...

New

2010-04-20

History

#1 - 2013-02-28 07:13 - Toshi MARUYAMA

2025-08-23

1/2




- Status changed from New to Closed

- Resolution set to Duplicate

Duplicate with #5357.
